<?php
/*
  MODUŁ: Katedra Informatyki WPPT
  Procedury pomocnicze
*/
$Tytuly = [
	"MGR" => "mgr", 
	"DR"  => "dr", 
	"DRH" => "dr hab.", 
	"PDH" => "prof. dr hab"
];

$Stanowiska = [
	"ADM" => "administracyjne", 
	"ASY" => "asystent", 
	"DOK" => "doktorant",
	"ADI" => "adiunkt", 
	"PZW" => "profesor zwyczajny", 
	"PNZ" => "profesor nadzwyczajny",
	"PEM" => "profesor emerytowany", 
	"UZL" => "umowa zlecenie", 
	"NB"  => "etat naukowo-badawczy"
];
	
function ExpandAbbr($a, $L){
	return (array_key_exists($a,$L)?$L[$a]:$a);
}

function Tytu2Str($a){
	global $Tytuly;
	return ExpandAbbr($a,$Tytuly);
}

function Stanowisko2Str($a){
	global $Stanowiska;
	return ExpandAbbr($a,$Stanowiska);
}

?>